
QGIS Application - Bug report #12643

Processing convex hull does not work

2015-04-24 08:57 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20756

Description

In the latest Processing the QGIS Convex Hull does not create any output. In the log the message

2015-04-24T16:25:40    1    Feature geometry not imported (OGR error: Pointer 'hGeom' is NULL in 'OGR_G_ImportFromWkb'.

            )

shows.

It worked in the Processing version shipped with QGIS 2.6.1

Tested on 2.8.1 and master on Windows and Linux.

See also #12639 that on my machines I cannot confirm.

Associated revisions

Revision 71fa5d41 - 2015-05-20 10:01 AM - Alexander Bruy

[processing] fix Convex Hull algorithm (fix #12643)

Revision e4b0f788 - 2015-05-20 10:03 AM - Alexander Bruy

[processing] fix Convex Hull algorithm (fix #12643)

History

#1 - 2015-04-28 12:02 AM - Victor Olaya

- Status changed from Open to Feedback

cannot reprocude it in here, but it looks like it's a problem with your layer. Can you share it?

#2 - 2015-04-29 11:48 AM - Giovanni Manghi

- Status changed from Feedback to Open

- File localidades.dbf.zip added

here it fails with any input, test attached point shapefile
#3 - 2015-05-14 03:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#4 - 2015-05-20 01:02 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"71fa5d41a173c55a2369d92f111d06aeb64091de".

#5 - 2015-05-20 01:04 AM - Alexander Bruy

- Resolution set to fixed/implemented

Also backported to 2.8

Files

localidades.dbf.zip 83 KB 2015-04-29 Giovanni Manghi
